Skip to content

Get invitation info

GET
/api/v1/invitations/{token}/info
curl --request GET \
--url https://api.deploybase.eu/api/v1/api/v1/invitations/example/info

Returns public metadata about an invitation for the accept page. No authentication required.

token
required
string

Invitation token

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
expires_at
string
invited_by_email
string
role
string
team_name
string
Example generated
{
"data": {
"expires_at": "example",
"invited_by_email": "example",
"role": "example",
"team_name": "example"
},
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Not Found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Conflict

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Gone

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}